.\" Copyright (c) 1994-1996 Wolfram Schneider <wosch@FreeBSD.org>. Berlin.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/gnu/usr.bin/man/makewhatis/makewhatis.1,v 1.21 2001/08/07 15:48:29 ru Exp $
.\"
.\" Japanized by
.\" Copyright (c) KUMANO, Tadashi <kumano@jp.freebsd.org>, 1996-2002,
.\" Copyright (c) FreeBSD jp-man project <man-jp@jp.freebsd.org>, 1996, 1998,
.\" which is a study toward the multilingual enhancement.
.\" (version 1.1k 2002/07/22)
.\"
.Dd July 22, 2002
.Dt JMAKEWHATIS 1
.Os
.Sh ̾
.Nm jmakewhatis
.Nd ܸޥ˥奢ڡޤ᤿ޥ˥奢ڡѤ whatis ǡ١
.Sh 
.Nm jmakewhatis
.Op Fl a | Fl append
.Op Fl h | Fl help
.Op Fl i | Fl indent Ar column
.Op Fl n | Fl name Ar name
.Op Fl o | Fl outfile Ar file
.Op Fl v | Fl verbose
.Op Ar directories ...
.Sh 
.Nm jmakewhatis
ϥեޥåȤƤʤޥ˥奢ڡ̾ΤûФ
.Xr whatis 1
ǡ١ޤ
.Nm jmakewhatis 
ޥɤgzip줿ޥ˥奢ڡɤळȤǤޤ
.Ar directory
ϡ(
.Pa man.+ Ȥ̾) ޥ˥奢ڡ֥ǥ쥯ȥĥǥ쥯ȥ̾Ǥ
϶Ʊͤ˰ޤΤǡ
.Ic jmakewhatis $MANPATH

.Ic jmakewhatis `manpath`
ޤ
ܸޥ˥奢ڡ֥ǥ쥯ȥĥǥ쥯ȥ
.Ar directory
˻ꤹȤˤϡĶѿ LC_CTYPE  LANG  ja_JP.EUC ꤷƤɬפޤ
.Sh ץ
.Bl -tag -width Ds
.It Fl a , Fl append
ڥɥ⡼ɡ
whatis ǡ١θŤȥޤ
: Ǥǡ١ϽʣԤʤ褦˥Ȥޤ
ޤŤȥ꤬Ǥ뤫ϥåޤ
.It Fl h , Fl help
Ѳǽʥץɽλޤ
.It Fl i , Fl indent Ar column
ʸĹ
.Ar column ˤޤ (ǥեȤ 24 Ǥ)
.It Fl o , Fl outfile Ar file
.Pa dirname/whatis
ƤνϤ
.Ar file
˽񤭹ߤޤ
.It Fl n , Fl name Ar name
.Pa whatis

.Ar name
Ѥޤ
.It Fl v , Fl verbose
¿ηٹ
(ɸ२顼ϤФ)
Ϥޤ
ѡƤΥޥ˥奢ФƼ 1 ʸɽޤ:
.Ql .\&
ϰ̤Ƥʤڡ
.Ql *
ϰ̤Ƥڡ
.Ql +
ϥ󥯤򤽤줾ɽޤ
.Sh 
.Ic jmakewhatis $MANPATH
.Pp
桼
.Pa $MANPATH
ˤƤΥǥ쥯ȥФ whatis ǡ١ޤ
.Pp
.Ic jmakewhatis -outfile /tmp/mywhatis /usr/share/man/ja $HOME/man
.Pp
whatis ǡ١
.Pa /tmp/mywhatis
ޤ
ǥ쥯ȥ
.Pa /usr/share/man/ja

.Pa $HOME/man
򸫤ޤ
.Pa /usr/share/man/ja/whatis

.Pa $HOME/man/whatis
Ϻޤ
.Pp
.Ic jmakewhatis -name windex $HOME/man
.Pp
.Pa whatis

jwhatis ǡ١
.Pa windex
ޤ
餯 Solaris ͭǤ
.\" .Sh Ϣե
.\" .Bl -tag -width */man/whatis -compact
.\" .It Pa */man/whatis
.\" whatis ǡ١
.\" .It Pa /etc/periodic/weekly/320.whatis
.\" 轵
.\" .Nm
.\" ¹Ԥޤ
.\" .El
.Sh Ϣ
.Xr japropos 1 ,
.Xr jcatman 1 ,
.Xr jmakewhatis.local 1 ,
.Xr jman 1 ,
.Xr jmanpath 1 ,
.Xr jwhatis 1 ,
.Xr sort 1 ,
.Xr uniq 1
.Sh 
Υꥸʥ
.Nm makewhatis
ޥɤ FreeBSD 2.1 о줷ޤ
ܸǤ
.Nm jmakewhatis
ޥɤ FreeBSD 2.2  ports/packages Ȥо줷ޤ
.Sh 
.An Wolfram Schneider ,
Berlin.
.Sh ܸб
.An  
